Access

Revoke an instance invitation

DELETE
/api/access/invitations/{invitationId}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

invitationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
invitation*
Example Request
curl -X DELETE 'https://postbot.example/api/access/invitations/string'
Example Response
{
  "invitation": {
    "id": "string",
    "targetEmail": "string",
    "instanceRole": "member",
    "state": "pending",
    "createdByUserId": "string",
    "expiresAt": 0,
    "acceptedAt": 0,
    "acceptedByUserId": "string",
    "revokedAt": 0,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?